package com.proyek.akhir.kodel.ui.user.dashboard.detailPenunggak

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import androidx.recyclerview.widget.LinearLayoutManager
import com.proyek.akhir.kodel.R
import com.proyek.akhir.kodel.data.local.Penunggak
import com.proyek.akhir.kodel.ui.user.dashboard.PenunggakDashboardAdapter
import kotlinx.android.synthetic.main.activity_detail_penunggak.*
import kotlinx.android.synthetic.main.activity_history.*

class DetailPenunggakActivity : AppCompatActivity() {
    private val listPenunggak: MutableList<Penunggak> = mutableListOf()
    private lateinit var penunggakDashboardAdapter: DetailPenunggakAdapter

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_detail_penunggak)

        listPenunggak.addAll(getListPenunggak())
        showRecyclerPenunggak()
    }

    private fun showRecyclerPenunggak() {
        rvHistoryDetail.layoutManager =
            LinearLayoutManager(this, LinearLayoutManager.VERTICAL, false)
        penunggakDashboardAdapter = DetailPenunggakAdapter(listPenunggak)
        rvHistoryDetail.adapter = penunggakDashboardAdapter
    }

    private fun getListPenunggak(): ArrayList<Penunggak> {
        val dataImage = resources.obtainTypedArray(R.array.img_penunggak)
        val dataName = resources.getStringArray(R.array.name_penunggak)
        val dataHari = resources.getStringArray(R.array.hari_penunggak)

        val listPenunggakAll = ArrayList<Penunggak>()
        listPenunggak.clear()
        for (i in 0 until dataImage.length()) {
            val penunggak = Penunggak(
                dataImage.getResourceId(i, 0),
                dataName[i],
                dataHari[i]
            )
            listPenunggakAll.add(penunggak)
        }
        dataImage.recycle()
        return listPenunggakAll
    }
}
